package es.verdnatura.presentation.view.feature.articulo.model

class ItemProposal(

    var itemFk: Int? = null,
    var longName: String? = null,
    var subName: String? = null,
    var tag5: String? = null,
    var value5: String? = null,
    var match5: String? = null,
    var tag6: String? = null,
    var value6: String? = null,
    var match6: String? = null,
    var tag7: String? = null,
    var value7: String? = null,
    var match7: String? = null,
    var tag8: String? = null,
    var value8: String? = null,
    var match8: String? = null,
    var available: Int? = null,
    var counter: Int? = null,
    var minQuantity: Int? = null,

    var isError: Boolean = false,
    var errorMessage: String = ""

)

class ItemProposalList(
    var list: List<ItemProposal> = listOf()
)

class AddressLosesList(
    var list: List<AddressLoses> = listOf()
)

data class AddressLoses(
    val addressFk: Int = 0,
    val address: Address? = null,
    var isError: Boolean = false,
    var errorMessage: String = ""
)

data class Address(
    val nickname: String = ""
)

//Tarea 5652
/*data class AddressLosesTest(
    val id: Int = 0,
    val nickname: String = "",
    val name: String = "",
    val client: ClientTest? = null ,
    var isError: Boolean = false,
    var errorMessage: String = ""
)
data class ClientTest(
    val id: Int,
    val name :String
)*/
